//////////////////////////////////////////////////////////////////////
//
//                               
//
//////////////////////////////////////////////////////////////////////
#property copyright "vladv002"
#property link      ""

//+------------------------------------------------------------------+
//|                         |
//+------------------------------------------------------------------+
#property indicator_chart_window

       int Per_HMA=14, //  
           scaleX=20,  //  ,    
           scaleY=20,  //  
           offsetX=35, //   
           offsetY=20, //    
           fontSize=20,// 
           corner=1,   //   
                       //0    
                       //1 
                       //2 
                       //3 
           symbolCodeBuy=110,       //  (BAY) 67
           symbolCodeSell=110,      //  (SEL) 68
           symbolCodeNoSignal=110;  //  (NO)  73

//////////////////////////////////                       
extern int N_bar=1;                 //    
extern int NEW_Ind_col=5;    //  - () 

extern color signalBuyColor=Lime,          // 
             signalSellColor=Red,          // 
             noSignalColor=WhiteSmoke,     // 
             textColor=White;              //    
           
int period[]={1,5,15,30,60,240,1440,10080,43200};   //    ,      
string periodString[]={"M1","M5","M15","M30","H1","H4","D1","W1","MN1"}, //TF-  :
        signalNameString[]={"MA","WPR","SAR","1","2","3","4","5","6","7"}; //    

///    9   


double arr1[][6];
double arr5[][6];
double arr15[][6];
double arr30[][6];
double arr60[][6];
double arr240[][6];
double arr1440[][6];
double arr10080[][6];
double arr43200[][6];



double array0[][6];
double array1[][6];
double array2[][6];
double array3[][6];
double array4[][6];
double array5[][6];
double array6[][6];
double array7[][6];
double array8[][6];
double array9[][6];
/*
0 -  (time),
1 -   (open),
2 -   (low),
3 -   (high),
4 -   (close),
5 -  (volume).
*/




//+------------------------------------------------------------------+
//|                           |
//+------------------------------------------------------------------+
int init()
  {
ArrayCopyRates(arr1,Symbol(), 1);   
ArrayCopyRates(arr5,Symbol(), 5);   
ArrayCopyRates(arr15,Symbol(), 15);   
ArrayCopyRates(arr30,Symbol(), 30);   
ArrayCopyRates(arr60,Symbol(), 60);   
ArrayCopyRates(arr240,Symbol(), 240);   
ArrayCopyRates(arr1440,Symbol(), 1440);   
ArrayCopyRates(arr10080,Symbol(), 10080);   
ArrayCopyRates(arr43200,Symbol(), 43200);   
  
//------------------   ------------------------------------
//  2 .  ,   "x"  
//    .     
//   .        .
//  2   9  (9 )  3  (3  )
//  .
///////////////////////////////////////////////////////////////////////////    
    //  
 for(int x=0;x<9;x++)
  for(int y=0;y<NEW_Ind_col;y++)
  {
   ObjectCreate("signal"+x+y,OBJ_LABEL,0,0,0,0,0);
         //   .  ,   
         //  " "     "x"  "y"
   ObjectSet("signal"+x+y,OBJPROP_XDISTANCE,x*20);
         //   .
         // x*20 -       20  
         //       "x"
   ObjectSet("signal"+x+y,OBJPROP_YDISTANCE,y*20);
         //   Y.
         // y*20 -       20  
         //       "y"
   ObjectSetText("signal"+x+y,CharToStr(110),20,"Wingdings",Gold);
         //  110-  ,   
   ObjectCreate("signal"+x+y,OBJ_LABEL,0,0,0,0,0);
               //   
               //   .  ,   
               //  " "     "x"  "y"
   ObjectSet("signal"+x+y,OBJPROP_CORNER,corner);
               //   .
               // x*20 -       20  
               //       "x"
   ObjectSet("signal"+x+y,OBJPROP_XDISTANCE,x*scaleX+offsetX);
               //   Y.
               // y*20 -       20  
               //       "y"
   ObjectSet("signal"+x+y,OBJPROP_YDISTANCE,y*scaleY+20);
               //  (symbolCodeNoSignal)  ,   
   ObjectSetText("signal"+x+y,CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);
      }
  
  //      
  for(x=0;x<9;x++)
  {
      ObjectCreate("textPeriod"+x,OBJ_LABEL,0,0,0,0,0);   
        //         
      ObjectSet("textPeriod"+x,OBJPROP_CORNER,corner);
      ObjectSet("textPeriod"+x,OBJPROP_XDISTANCE,x*scaleX+offsetX);
      ObjectSet("textPeriod"+x,OBJPROP_YDISTANCE,offsetY-10);
      ObjectSetText("textPeriod"+x,periodString[x],8,"Tahoma",textColor);
   }
  //   
  for(y=0;y<NEW_Ind_col;y++)
  {
      ObjectCreate("textSignal"+y,OBJ_LABEL,0,0,0,0,0);   
      //         
      ObjectSet("textSignal"+y,OBJPROP_CORNER,corner);
      ObjectSet("textSignal"+y,OBJPROP_XDISTANCE,offsetX-25);
      ObjectSet("textSignal"+y,OBJPROP_YDISTANCE,y*(scaleY)+offsetY+8);
      ObjectSetText("textSignal"+y,signalNameString[y],8,"Tahoma",textColor);      
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   //        ,
   //    

   ObjectsDeleteAll();
   return(0);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----    ---  10 
   for(int x=0;x<9;x++)
   {
      //   
      if(iMA(Symbol(),period[x],13,0,0,0,N_bar)>iMA(Symbol(),period[x],24,0,0,0,N_bar))
         ObjectSetText("signal"+x+"0",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);
      //      
      else
         ObjectSetText("signal"+x+"0",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);   
   }
   for(x=0;x<9;x++)
   {
      //    WPR  20,     
      if(MathAbs(iWPR(Symbol(),period[x],13,N_bar))<20.0)
         ObjectSetText("signal"+x+"1",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);
      //  WPR  80,      
      else if(MathAbs(iWPR(Symbol(),period[x],13,N_bar))>80.0)
         ObjectSetText("signal"+x+"1",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);
      else //   ,      
         ObjectSetText("signal"+x+"1",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);
   }
   for(x=0;x<9;x++)
   {
      //      SAR,     
      if(iSAR(Symbol(),period[x],0.02,0.2,N_bar)<Close[0])
         ObjectSetText("signal"+x+"2",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);
      // ,    
      else   
         ObjectSetText("signal"+x+"2",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);
   }  

/////////////////////////    VininI_HMA
   for(x=0;x<9;x++)  {
      double HMA_Y = iCustom(Symbol(), period[x], "VininI_HMA", Per_HMA, 3, 0, 0, 3, N_bar);
	   double HMA_G = iCustom(Symbol(), period[x], "VininI_HMA", Per_HMA, 3, 0, 0, 1, N_bar); 
   	double HMA_R = iCustom(Symbol(), period[x], "VininI_HMA", Per_HMA, 3, 0, 0, 2, N_bar);

   	if (HMA_R > HMA_Y+HMA_Y) {
         ObjectSetText("signal"+x+"3",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);
      }
      if (HMA_G > HMA_Y+HMA_Y) { 
   	         ObjectSetText("signal"+x+"3",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);
      }
   	if (HMA_Y == HMA_R || HMA_Y==HMA_R)  { 
            ObjectSetText("signal"+x+"3",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);
      }
   }
/////////////////////////      
   for(x=0;x<9;x++)  {

   	if (iOpen(Symbol(),period[x],N_bar) > iClose(Symbol(),period[x],N_bar)) {
         ObjectSetText("signal"+x+"4",CharToStr(symbolCodeBuy),fontSize,"Wingdings",signalBuyColor);
      }else{
        if (iOpen(Symbol(),period[x],N_bar) < iClose(Symbol(),period[x],N_bar)) {
         ObjectSetText("signal"+x+"4",CharToStr(symbolCodeSell),fontSize,"Wingdings",signalSellColor);   
        }}
      if (iOpen(Symbol(),period[x],N_bar) == iClose(Symbol(),period[x],N_bar)) {
          ObjectSetText("signal"+x+"3",CharToStr(symbolCodeNoSignal),fontSize,"Wingdings",noSignalColor);
   	}
   }   

///Print("  ",TimeToStr(array1[0][0]),"  ", array1[0][1]);
///1,5,15,30,60,240,1440,10080,43200
Comment (
"\n", " -----------1------ = ",arr1[0][1]," - ", arr1[0][0],
"\n", " -----------2------ = ",arr5[0][1]," - ", arr5[0][0],
"\n", " -----------3------ = ",arr15[0][1]," - ", arr15[0][0],
"\n", " -----------4------ = ",arr30[0][1]," - ", arr30[0][0],
"\n", " -----------5------ = ",arr60[0][1]," - ", arr60[0][4],
"\n", " -----------6------ = ",arr240[0][1]," - ", arr240[0][4],
"\n", " -----------7------ = ",arr1440[0][1]," - ", arr1440[0][4],
"\n", " -----------8------ = ",arr10080[0][1]," - ", arr10080[0][4],
"\n", " -----------9------ = ",arr43200[0][1]," - ", arr43200[0][4]);   
}
//+-------------SetIndexShift------iCustom()-----------------------------------------------+
/*
double array1[][6];
ArrayCopyRates(array1,"EURUSD", PERIOD_H1);
Print("  ",TimeToStr(array1[0][0]),"  ", array1[0][1]);

\\\\\\\\\\\\\\\

int init()
  {
   ArrayCopyRates(arr1,Symbol(), tf); // tf -  
   return(0);
  }
*/